Results 1 to 6 of 6

Thread: Need to install two RPM's that are dependant on each other..

  1. #1

    Default Need to install two RPM's that are dependant on each other..

    I can't install knetworkmanager-kde4 because it's dependend on knetworkmanager-lang and vice versa. In other words, both packages are dependent on only ea ch other...

    I can't install software from yast because I keep getting an error that says "the maximum (3) routes have been used" (or some jazz like that.) I'm using the yast network configurator and I think switching it may help, so if anyone can tell me how to work this out, I'd be a happy chameleon.

  2. #2

    Default Re: Need to install two RPM's that are dependant on each oth

    Here's the network error that keeps plauging me -- just in case anyone can assist me here, also... I can download from most other repo's except the one I need...

    url:
    Code:
    http://download.opensuse.org/repositories/KDE:KDE4:Factory:Desktop/openSUSE_11.1
    error:
    Code:
    Download (curl) error for 'http://download.opensuse.org/repositories/KDE:KDE4:Factory:Desktop/openSUSE_11.1/i586/NetworkManager-kde4-0.9.svn1001914-71.1.i586.rpm':
    Error code: Unrecognized error
    Error message: Maximum (3) redirects followed
    That's in YAST...

  3. #3
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Need to install two RPM's that are dependant on each oth

    That repo's URL leads to several redirects. Try replacing it with this one, which is the final result:

    Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,673
    Blog Entries
    15

    Default Re: Need to install two RPM's that are dependant on each other..

    Quote Originally Posted by sexyclient
    Here's the network error that keeps plauging me -- just in case anyone
    can assist me here, also... I can download from most other repo's
    except the one I need...

    url:

    Code:
    --------------------

    http://download.opensuse.org/reposit.../openSUSE_11.1

    --------------------


    error:

    Code:
    --------------------

    Download (curl) error for
    'http://download.opensuse.org/repositories/KDE:KDE4:Factoryesktop/openSUSE_11.1/i586/NetworkManager-kde4-0.9.svn1001914-71.1.i586.rpm':
    Error code: Unrecognized error Error message: Maximum (3) redirects
    followed
    --------------------


    That's in YAST...
    Hi
    It may be a case of the mirror your being directed too hasn't synced
    with the files. Check a closer mirror and see if the files exist on the
    server;
    http://en.opensuse.org/Mirror_Selection
    http://en.opensuse.org/Build_Service/Redirector

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.25-0.1-default
    up 1 day 8:36, 2 users, load average: 0.13, 0.10, 0.06
    GPU GeForce 8600 GTS Silent - Driver Version: 185.18.14


  5. #5
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default Re: Need to install two RPM's that are dependant on each oth

    If you can download the two RPMs to your desktop just open Terminal window then type:-

    su (then press enter)

    enter your root password (then press enter)

    cd Desktop (then press enter)

    rpm -Uvh kdenet*.rpm (then press enter)

    then to tidy up type

    SuSEconfig (then press enter)

  6. #6

    Default Re: Need to install two RPM's that are dependant on each oth

    Thanks to you all

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •